<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:background="@mipmap/moudle_ic_login_bg"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">
    <ImageView
        android:layout_width="260dp"
        android:layout_height="100dp"
        android:layout_gravity="center"
        android:layout_marginTop="70dp"
        android:src="@mipmap/moudle_ic_yl_logo" />

    <LinearLayout
        android:id="@+id/login_linearLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="25dp"
        android:layout_marginTop="20dp"
        android:layout_marginRight="25dp"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/userId_LinearLayout"
                android:layout_width="260dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="34dp"
                    android:layout_height="34dp"
                    android:padding="8dp"
                    android:src="@mipmap/moudle_icon_man" />

                <EditText
                    android:id="@+id/moudle_login_edt_name"
                    android:textCursorDrawable="@null"
                    android:layout_width="0dp"
                    android:layout_height="34dp"
                    android:layout_weight="1"
                    android:hint="用户名"
                    android:background="@null"
                    android:ems="10"
                    android:paddingLeft="15dp"
                    android:paddingRight="15dp"
                    android:singleLine="true"
                    android:textColor="@color/white"
                    android:textColorHint="@color/white"
                    android:textSize="16sp">

                </EditText>

            </LinearLayout>

            <!-- 横线  -->
            <View
                android:layout_width="250dp"
                android:layout_height="0.3dp"
                android:layout_gravity="center_horizontal"
                android:background="#E5E5E5" />

            <LinearLayout
                android:layout_width="260dp"
                android:layout_marginTop="25dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="34dp"
                    android:layout_height="34dp"
                    android:padding="8dp"
                    android:src="@mipmap/moudle_icon_lock" />

                <EditText
                    android:id="@+id/moudle_login_edt_pwd"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="34dp"
                    android:textCursorDrawable="@null"
                    android:background="@null"
                    android:hint="密码"
                    android:inputType="textPassword"
                    android:paddingLeft="15dp"
                    android:paddingRight="15dp"
                    android:singleLine="true"
                    android:textColor="@color/white"
                    android:textColorHint="@color/white"
                    android:textSize="16sp" />
                <ImageView
                    android:id="@+id/moudle_iv_eye"
                    android:layout_width="34dp"
                    android:layout_height="34dp"
                    android:padding="8dp"
                    android:src="@mipmap/moudle_eye" />
            </LinearLayout>
            <!-- 横线  -->
            <View
                android:layout_width="250dp"
                android:layout_height="0.3dp"
                android:layout_gravity="center_horizontal"
                android:background="#E5E5E5" />
            <LinearLayout
                android:layout_width="260dp"
                android:layout_marginTop="25dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:orientation="horizontal">

                <View
                    android:layout_width="34dp"
                    android:layout_height="34dp" />

                <EditText
                    android:id="@+id/moudle_login_edt_code"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="34dp"
                    android:textCursorDrawable="@null"
                    android:background="@null"
                    android:hint="验证码"
                    android:inputType="textPassword"
                    android:paddingLeft="15dp"
                    android:paddingRight="15dp"
                    android:singleLine="true"
                    android:textColor="@color/white"
                    android:textColorHint="@color/white"
                    android:textSize="16sp" />
                <ImageView
                    android:id="@+id/moudle_iv_code"
                    android:layout_width="100dp"
                    android:layout_height="35dp"
                    android:background="#666666" />
            </LinearLayout>
            <!-- 横线  -->
            <View
                android:layout_width="250dp"
                android:layout_height="0.3dp"
                android:layout_gravity="center_horizontal"
                android:background="#E5E5E5" />
        </LinearLayout>


    </LinearLayout>

    <LinearLayout
        android:layout_width="260dp"
        android:layout_marginTop="15dp"
        android:layout_height="40dp"
        android:layout_gravity="center_horizontal"
        android:orientation="horizontal">

        <com.kyleduo.switchbutton.SwitchButton
            android:id="@+id/moudle_login_sb_network"
            android:layout_width="80dp"
            android:layout_height="match_parent"
            android:layout_gravity="center_vertical"
            android:layout_marginRight="17dp"
            android:checked="true"
            android:textColor="@color/white"
            android:textSize="12sp"
            app:kswFadeBack="false"
            app:kswTextOff="外网"
            app:kswTextOn="内网"
            app:kswThumbHeight="17dp"
            app:kswThumbMarginBottom="3dp"
            app:kswThumbMarginTop="3dp"
            app:kswThumbRangeRatio="3"
            app:kswThumbWidth="17dp"
            app:kswTintColor="@color/white" />
        <View
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="match_parent"/>

    </LinearLayout>

    <Button
        android:id="@+id/moudle_login_btn_login"
        style="@style/wrap_layout_btn_blue"
        android:layout_width="250dp"
        android:layout_height="38dp"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="22dp"
        android:text="登录"
        android:textColor="@color/white"
        android:textSize="15sp" />

    <Button
        android:id="@+id/moudle_login_btn_setting"
        style="@style/wrap_layout_login"
        android:layout_width="250dp"
        android:layout_height="38dp"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="12dp"
        android:text="设置"
        android:textColor="@color/white"
        android:textSize="15sp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:orientation="vertical" />

    <LinearLayout
        android:orientation="horizontal"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">


            <TextView
                android:id="@+id/tv_version"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/white"
                android:textSize="16sp"
                android:layout_marginBottom="15dp"
                android:layout_marginRight="15dp"
                android:layout_alignParentTop="true"
                android:layout_alignParentRight="true"
                android:layout_alignParentEnd="true"
                />
        </RelativeLayout>

    </LinearLayout>
</LinearLayout>